Debian Bug report logs - #662217
/usr/share/doc/vlc is empty

version graph

Package: vlc; Maintainer for vlc is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>; Source for vlc is src:vlc.

Reported by: Wouter Verhelst <wouter@debian.org>

Date: Sun, 4 Mar 2012 18:42:05 UTC

Severity: serious

Found in version vlc/2.0.0-6

Fixed in version vlc/2.0.1-2

Done: Benjamin Drung <bdrung@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#662217; Package vlc. (Sun, 04 Mar 2012 18:42:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wouter Verhelst <wouter@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Sun, 04 Mar 2012 18:42:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wouter Verhelst <wouter@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: /usr/share/doc/vlc is empty
Date: Sun, 04 Mar 2012 18:57:26 +0100
Package: vlc
Version: 2.0.0-6
Severity: serious

Subject says it all, really.

There's no changelog, no copyright, no nothing, just an empty directory.

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'oldstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=nl_BE.UTF-8, LC_CTYPE=nl_BE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages vlc depends on:
ii  libaa1                    1.4p5-39
ii  libavcodec53              4:0.8-1+b1
ii  libavutil51               4:0.8-1+b1
ii  libc6                     2.13-26
ii  libfreetype6              2.4.8-1
ii  libfribidi0               0.19.2-2
ii  libgcc1                   1:4.6.2-12
ii  libgl1-mesa-glx [libgl1]  7.11.2-1
ii  libice6                   2:1.0.7-2
ii  libqtcore4                4:4.7.4-2
ii  libqtgui4                 4:4.7.4-2
ii  libsdl-image1.2           1.2.12-1
ii  libsdl1.2debian           1.2.15-1
ii  libsm6                    2:1.2.0-2
ii  libstdc++6                4.6.2-12
ii  libtar0                   1.2.11-8
ii  libva-x11-1               1.0.14-1
ii  libva1                    1.0.14-1
ii  libvlccore5               2.0.0-6
ii  libx11-6                  2:1.4.4-4
ii  libxcb-composite0         1.8-2
ii  libxcb-keysyms1           0.3.8-1
ii  libxcb-randr0             1.8-2
ii  libxcb-render0            1.8-2
ii  libxcb-shape0             1.8-2
ii  libxcb-shm0               1.8-2
ii  libxcb-xfixes0            1.8-2
ii  libxcb-xv0                1.8-2
ii  libxcb1                   1.8-2
ii  libxext6                  2:1.3.0-3
ii  libxinerama1              2:1.1.1-3
ii  libxpm4                   1:3.5.9-4
ii  ttf-freefont              20100919-1
ii  vlc-nox                   2.0.0-6
ii  zlib1g                    1:1.2.6.dfsg-1

Versions of packages vlc recommends:
ii  vlc-plugin-notify  2.0.0-6
ii  vlc-plugin-pulse   2.0.0-6
ii  xdg-utils          1.1.0~rc1+git20111210-6

Versions of packages vlc suggests:
pn  videolan-doc  <none>

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#662217; Package vlc. (Sun, 11 Mar 2012 05:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brian Owens <evansaussie@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Sun, 11 Mar 2012 05:12:03 GMT) Full text and rfc822 format available.

Message #10 received at 662217@bugs.debian.org (full text, mbox):

From: Brian Owens <evansaussie@gmail.com>
To: 662217@bugs.debian.org
Subject: Package tries to change /usr/share/doc/vlc to a symlink to /usr/share/doc/vlc-nox
Date: Sun, 11 Mar 2012 13:10:17 +0800
Looks like the root the problem is the package trying to convert a
directory into symlink.

Removing  /usr/share/doc/vlc directory before install fixes the issue.

I found this wishlist item - 626203 - might help




Reply sent to Benjamin Drung <bdrung@debian.org>:
You have taken responsibility. (Sat, 24 Mar 2012 01:09:03 GMT) Full text and rfc822 format available.

Notification sent to Wouter Verhelst <wouter@debian.org>:
Bug acknowledged by developer. (Sat, 24 Mar 2012 01:09:03 GMT) Full text and rfc822 format available.

Message #15 received at 662217-close@bugs.debian.org (full text, mbox):

From: Benjamin Drung <bdrung@debian.org>
To: 662217-close@bugs.debian.org
Subject: Bug#662217: fixed in vlc 2.0.1-2
Date: Sat, 24 Mar 2012 01:05:02 +0000
Source: vlc
Source-Version: 2.0.1-2

We believe that the bug you reported is fixed in the latest version of
vlc, which is due to be installed in the Debian FTP archive:

libvlc-dev_2.0.1-2_amd64.deb
  to main/v/vlc/libvlc-dev_2.0.1-2_amd64.deb
libvlc5_2.0.1-2_amd64.deb
  to main/v/vlc/libvlc5_2.0.1-2_amd64.deb
libvlccore-dev_2.0.1-2_amd64.deb
  to main/v/vlc/libvlccore-dev_2.0.1-2_amd64.deb
libvlccore5_2.0.1-2_amd64.deb
  to main/v/vlc/libvlccore5_2.0.1-2_amd64.deb
vlc-data_2.0.1-2_all.deb
  to main/v/vlc/vlc-data_2.0.1-2_all.deb
vlc-dbg_2.0.1-2_amd64.deb
  to main/v/vlc/vlc-dbg_2.0.1-2_amd64.deb
vlc-nox_2.0.1-2_amd64.deb
  to main/v/vlc/vlc-nox_2.0.1-2_amd64.deb
vlc-plugin-fluidsynth_2.0.1-2_amd64.deb
  to main/v/vlc/vlc-plugin-fluidsynth_2.0.1-2_amd64.deb
vlc-plugin-jack_2.0.1-2_amd64.deb
  to main/v/vlc/vlc-plugin-jack_2.0.1-2_amd64.deb
vlc-plugin-notify_2.0.1-2_amd64.deb
  to main/v/vlc/vlc-plugin-notify_2.0.1-2_amd64.deb
vlc-plugin-pulse_2.0.1-2_amd64.deb
  to main/v/vlc/vlc-plugin-pulse_2.0.1-2_amd64.deb
vlc-plugin-sdl_2.0.1-2_amd64.deb
  to main/v/vlc/vlc-plugin-sdl_2.0.1-2_amd64.deb
vlc-plugin-svg_2.0.1-2_amd64.deb
  to main/v/vlc/vlc-plugin-svg_2.0.1-2_amd64.deb
vlc-plugin-zvbi_2.0.1-2_amd64.deb
  to main/v/vlc/vlc-plugin-zvbi_2.0.1-2_amd64.deb
vlc_2.0.1-2.debian.tar.gz
  to main/v/vlc/vlc_2.0.1-2.debian.tar.gz
vlc_2.0.1-2.dsc
  to main/v/vlc/vlc_2.0.1-2.dsc
vlc_2.0.1-2_amd64.deb
  to main/v/vlc/vlc_2.0.1-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 662217@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Benjamin Drung <bdrung@debian.org> (supplier of updated vlc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 24 Mar 2012 01:33:03 +0100
Source: vlc
Binary: libvlc-dev libvlc5 libvlccore-dev libvlccore5 vlc vlc-data vlc-dbg vlc-nox vlc-plugin-fluidsynth vlc-plugin-jack vlc-plugin-notify vlc-plugin-pulse vlc-plugin-sdl vlc-plugin-svg vlc-plugin-zvbi
Architecture: source amd64 all
Version: 2.0.1-2
Distribution: unstable
Urgency: high
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Benjamin Drung <bdrung@debian.org>
Description: 
 libvlc-dev - development files for libvlc
 libvlc5    - multimedia player and streamer library
 libvlccore-dev - development files for libvlccore
 libvlccore5 - base library for VLC and its modules
 vlc        - multimedia player and streamer
 vlc-data   - Common data for VLC
 vlc-dbg    - debugging symbols for vlc
 vlc-nox    - multimedia player and streamer (without X support)
 vlc-plugin-fluidsynth - FluidSynth plugin for VLC
 vlc-plugin-jack - Jack audio plugins for VLC
 vlc-plugin-notify - LibNotify plugin for VLC
 vlc-plugin-pulse - PulseAudio plugin for VLC
 vlc-plugin-sdl - SDL video and audio output plugin for VLC
 vlc-plugin-svg - SVG plugin for VLC
 vlc-plugin-zvbi - VBI teletext plugin for VLC
Closes: 613121 662217
Changes: 
 vlc (2.0.1-2) unstable; urgency=high
 .
   * Really add the preinst from Didier Raboud to vlc to drop it's doc directory
     before unpacking a symlink to vlc-nox's over it. (Closes: #613121, #662217)
Checksums-Sha1: 
 9d3dad9d6aad1f3e1b6ef8362276288d9fc816e2 4751 vlc_2.0.1-2.dsc
 54c8737adf75dba0b1f305c76957d625104fa255 56545 vlc_2.0.1-2.debian.tar.gz
 acebe5e5fe16637105ece53b8d8cada5615e1151 74500 libvlc-dev_2.0.1-2_amd64.deb
 c415cba85858a0b94104141ea40fd3c4d588ba49 46856 libvlc5_2.0.1-2_amd64.deb
 8dacc4b9296313d7263df91946be5a588b04c640 669000 libvlccore-dev_2.0.1-2_amd64.deb
 ca1f0834882a2340312dd2f7424959f14edaf628 424428 libvlccore5_2.0.1-2_amd64.deb
 84988d1062639f454754653fe3aa04d12740c902 1357170 vlc_2.0.1-2_amd64.deb
 e14a28364bea7147ed5d7fb7716fd21198ceee5b 8841494 vlc-data_2.0.1-2_all.deb
 2a26a8ff81b93d1b7bbdec176709f2546dbfcb83 19688530 vlc-dbg_2.0.1-2_amd64.deb
 42638374f2557837c277134f9fecc2dcc91dd690 3366730 vlc-nox_2.0.1-2_amd64.deb
 c2133c3665b8eea51780de89e07705924161aa8c 6140 vlc-plugin-fluidsynth_2.0.1-2_amd64.deb
 974436bf28d86d493f58d4e8253ec6189b7eb3d4 12086 vlc-plugin-jack_2.0.1-2_amd64.deb
 7597622895563c5b0ace4d65693a04beca794070 6418 vlc-plugin-notify_2.0.1-2_amd64.deb
 39d414af4102cded0d3eb4cc039e671ae3090a83 21538 vlc-plugin-pulse_2.0.1-2_amd64.deb
 307e37cd2118ee7193242f26e6a6933f0aa8c304 9150 vlc-plugin-sdl_2.0.1-2_amd64.deb
 dad2ca20ad0d8beb8f4d845d412397766007d55b 6896 vlc-plugin-svg_2.0.1-2_amd64.deb
 ee58af9ca7b64aab3d00b289ca49ca456b1ee250 9074 vlc-plugin-zvbi_2.0.1-2_amd64.deb
Checksums-Sha256: 
 b79bc88f56c05c6e9ab4418afb325cb08b9fddce11b8bc51c0577896c101030a 4751 vlc_2.0.1-2.dsc
 65e408766e88a1d5d29c0f1aa3cc1496ea58cd6c168acbb8632b697f0a7c2301 56545 vlc_2.0.1-2.debian.tar.gz
 724c75bca2875b34e9012f6e755a251417d321b592ff427c39eb68ce87fe6b70 74500 libvlc-dev_2.0.1-2_amd64.deb
 3c003510d2a1e62a75bbbc86027f616a08fb0f7dfd0590b6d882fcb726e96fa2 46856 libvlc5_2.0.1-2_amd64.deb
 6524e1fa194131b3cb625c114dfb58de66524290f41248ced31c2941f5dc0ad4 669000 libvlccore-dev_2.0.1-2_amd64.deb
 1a246630105fd3679d79ef80cb366aeb25f8e75ae9a93de81b7bb04eb3bc3872 424428 libvlccore5_2.0.1-2_amd64.deb
 83462211d04299fb6c89df20c51d028365e20874055fc307a3663b05ee4e3e82 1357170 vlc_2.0.1-2_amd64.deb
 c1b42552701549e8d0229436d88fcb84087d8f55fc0795178b9a56bc2c54f8af 8841494 vlc-data_2.0.1-2_all.deb
 4772d31ba8c2ebf613f08a3da7073fb0fe75e86625697299382549370f160e84 19688530 vlc-dbg_2.0.1-2_amd64.deb
 f5fd94ba2a8a4eba149afe342a14d74b2e2c0db24871eaedb72e6890a3bc6e36 3366730 vlc-nox_2.0.1-2_amd64.deb
 a07c34b59668471cf09c758f60944b46455df9e8ead23349aa44ea27d84d6daf 6140 vlc-plugin-fluidsynth_2.0.1-2_amd64.deb
 905f672a991fabab8811ff339443e181eedecfbf3df4c567578c56ea7f99e757 12086 vlc-plugin-jack_2.0.1-2_amd64.deb
 e02f2c72646cc22c64184b7053e12cf3a23e97d2d6c519b45de118d399e39838 6418 vlc-plugin-notify_2.0.1-2_amd64.deb
 4c8589ad3acadbafb40ffbcb16467a5dd699b2fc2f149bceec56a4bc2d34e211 21538 vlc-plugin-pulse_2.0.1-2_amd64.deb
 eee6bdccb3cd8859726e8e2cd10e283b5e16f488cb74d0d41e6adfd4e8317cb3 9150 vlc-plugin-sdl_2.0.1-2_amd64.deb
 8e109296112f1e10f48d4605a5e90ad81f0014343c0977c900375045fc6ab91d 6896 vlc-plugin-svg_2.0.1-2_amd64.deb
 1ce0ec0020bea8965490add7566b31e425e57d9437f354b4b2ba888a76d2e593 9074 vlc-plugin-zvbi_2.0.1-2_amd64.deb
Files: 
 35ace5a9aaf8498116fd38ccc1565b44 4751 video optional vlc_2.0.1-2.dsc
 b6e3293da43db6a8e4fecefec283422b 56545 video optional vlc_2.0.1-2.debian.tar.gz
 999f17c949466c10c6b56e8797423dbe 74500 libdevel optional libvlc-dev_2.0.1-2_amd64.deb
 3320774c71b3e08f07261fe4faf57930 46856 libs optional libvlc5_2.0.1-2_amd64.deb
 d1097bd424def15bc6773cc3f85176ed 669000 libdevel optional libvlccore-dev_2.0.1-2_amd64.deb
 557eddc22c5c4ba0c7024f383080ddb3 424428 libs optional libvlccore5_2.0.1-2_amd64.deb
 f97bece5bb2271c4a10affc4b1aa32c7 1357170 video optional vlc_2.0.1-2_amd64.deb
 59c60844f69fdbd107b12f5114d5c96d 8841494 video optional vlc-data_2.0.1-2_all.deb
 12269a62cd2f0daea9a1f1fe2bf86fd6 19688530 debug extra vlc-dbg_2.0.1-2_amd64.deb
 5258ecc0f26221867fee0a4960ac4b3f 3366730 video optional vlc-nox_2.0.1-2_amd64.deb
 b17424021ba068d08a610a2440829f94 6140 video optional vlc-plugin-fluidsynth_2.0.1-2_amd64.deb
 31591cd5e69928ed8572c6ba999652af 12086 video optional vlc-plugin-jack_2.0.1-2_amd64.deb
 b268d05ca754da188c520be945279ebe 6418 video optional vlc-plugin-notify_2.0.1-2_amd64.deb
 0918508603d3b9b4d9cc2d37e4fe4ded 21538 video optional vlc-plugin-pulse_2.0.1-2_amd64.deb
 b82ad0339219dda9b1ee3bde068525fa 9150 video optional vlc-plugin-sdl_2.0.1-2_amd64.deb
 ec7b50418f4ce2d870aa00f4a4bf2638 6896 video optional vlc-plugin-svg_2.0.1-2_amd64.deb
 41367aeff6294e90fecf7e7582b094ab 9074 video optional vlc-plugin-zvbi_2.0.1-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJPbRqUAAoJEBWetcTvyHdMioAP/Ax+ovJdIBvYtvoFW5gCqFyW
3Q00jJ4yK/shy9l+fiO/i/I5zRHUIVTTO14otNzaUvneLxJifqWEJEAZ0KIFwCgH
kEPjw6dNGmCi8WFBTlBE/8JkeCkAngFJUHw3nHsPFInDGqOpFK1gWGCy7p+dUrqh
CwC/+rolgY48YX08kvSK1ChCO6/PkQrIQ6IevoNjDdn+eM9xbuiPxbNK4ftzkpDz
nuy8h/BaOl13Par6mE5lILckVLirV6eTp37H18pQl12NaBtZyPMFT4KJiBzP23VD
J02jngC18Rhnmzdtpo+dYA9MDAGl1oDKdysCPw025xjrSKdEnc+WPEuM44sP+GLA
C1EqBTahLj+X+eUsx1V5pK62LK7YkSfAYa2e5JhC/F2Ke//88BZeZSdX+UkryNxo
43ic6NUpHKYKX9I5ZDdntflBzpLqPJUp8dwWOeFc0OZCSfVfL7F7Bzlwq9+enkQ0
mkQT3d6t6yZRDaUX70t5CtvHlh66X5ajtuGTG8hXrjhDG/xQpT+ZMWD1HCbLDq9k
05f2KskX/XSB8fgSAv5I6zs8w/AqHAY6lZbrGMtROm6qg8oLL/VetbEJI0dr/xQ3
00M5xcpFSRPolMEehSh7p2HTIjHf+9pQPp0r8152TfSDN+mGHQKW3NB/oOo/r7kA
TrXV8CGzLd/2ube250rw
=+oQz
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 23 Apr 2012 07:34:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:50:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.